Bug 199956 - dmidecode segfaults on ia64.
dmidecode segfaults on ia64.
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel-utils (Show other bugs)
4.0
ia64 Linux
medium Severity medium
: ---
: ---
Assigned To: Alan Cox
Brian Brock
:
Depends On:
Blocks: 229521
  Show dependency treegraph
 
Reported: 2006-07-24 11:42 EDT by Jose Plans
Modified: 2010-10-22 01:30 EDT (History)
5 users (show)

See Also:
Fixed In Version: RHBA-2007-0282
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-07 19:36:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dmidecode ia64 segfault fix. (330 bytes, patch)
2006-07-24 11:42 EDT, Jose Plans
no flags Details | Diff

  None (edit)
Description Jose Plans 2006-07-24 11:42:38 EDT
Using dmidecode-2.2 from kernel-utils on ia64 segfaults on the output. This is
always reproducible.
The version checked is : 
  kernel-utils-2.4-13.1.83

In the dmidecode.c, particularly in static const char *dmi_string(struct
dmi_header *dm, u8 s), one declaration is made by "static str_tmp" that will
lately be associated to a pointer; therefore the higher bits might be wiped out.

Attached you will find a patch that fixes the problem.
Comment 1 Jose Plans 2006-07-24 11:42:39 EDT
Created attachment 132928 [details]
dmidecode ia64 segfault fix.
Comment 2 Daniel Yeisley 2006-07-24 15:19:34 EDT
We see this on both of our Unisys IA64 platforms.  
Comment 3 RHEL Product and Program Management 2006-08-18 10:58:47 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 4 Alan Cox 2006-09-02 08:53:00 EDT
Fix appears correct, bug report appears correct.
Comment 6 Alan Cox 2006-09-04 09:51:26 EDT
Even better looking at the other fixes might be to pull in 2.8
Comment 29 Red Hat Bugzilla 2007-05-07 19:36:08 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2007-0282.html

Note You need to log in before you can comment on or make changes to this bug.